TITLE   'Oscillating Temperature in a Steel Block'	       { sim141a.pde }
SELECT   stages=200  					
COORDINATES
   cartesian1
DEFINITIONS
   Lx=0.2
   transfer('tempr', tempr)     transfer('tempi', tempi)
   wt=(stage-1)/50* 2*pi 			{ Omega*t }
   temp=tempr*cos(wt)- tempi*sin(wt)	{ Temperature }
BOUNDARIES
region 'domain'  start (0) line to (Lx) 	
PLOTS
   elevation( temp) from (0) to (Lx/3) fixed range(-1,1)
END

