TITLE   'Wave in a Circular Cavity, Eigenstates'	         { sim173.pde }
SELECT     errlim=1e-4    spectral_colors nodelimit=800    modes=12				
VARIABLES   Ezr        				        	
DEFINITIONS                                        	
   r0=1.0     Ezi=0	
   eps0=8.85e-12     eps     mu0=4*pi*1e-7   mu=mu0			
   omega=sqrt( lambda/(mu0*eps0))			
#include 'waves_xy.pde'
EQUATIONS
   del2( Ezr)+ lambda*Ezr=0
BOUNDARIES
region  'vacuum'   eps=eps0   			
   start 'outer' (0,r0)   value(Ezr)=0
   arc( center=0,0)  angle=360    	
PLOTS
   contour( Ezr)  report( omega)     vector( Bi) norm	
END

