TITLE   'Square Cavity, Combined Eigenstates'	       { sim174b.pde }
SELECT   stages=200
DEFINITIONS                                        	
   Lx=1.0     Ly=1.0     v=stage/400*2*pi	
   transfer('Ezr_2', Ezr_2)     transfer('Ezr_3', Ezr_3)
   Ezr_23= Ezr_2*cos( v)+ Ezr_3*sin( v)
BOUNDARIES
region 'vacuum'  start 'outer' (0,0)       	
   line to (Lx,0) to (Lx,Ly) to (0,Ly)  line to close
PLOTS
   contour( Ezr_23) report( v)
END

