{ Include file related to viscous flow in (x,y) }			{ visc_xy.pde }
   v=vector( vx, vy)     vm=magnitude( v)
   unit_x=vector(1,0)     unit_y=vector(0,1)	{ Unit vector fields }
   nx=normal( unit_x)     ny=normal( unit_y)	{ Direction cosines }
   tx=tangential( unit_x)     ty=tangential( unit_y)
   natp=visc*( nx*div( grad( vx))+ ny*div( grad( vy)))
   force_vt=-visc*( (dx(vx)*nx+ dy(vx)*ny)*tx+	
      (dx(vy)*nx+ dy(vy)*ny)*ty) 			{ Viscous force }
   force_vx=force_vt*tx	
   force_vy=force_vt*ty		
   force_px=p*nx     					{ Pressure force }
   force_py=p*ny
   force_x=force_vx+ force_px
   force_y=force_vy+ force_py

