TITLE   'Interpolation of sin(x*y)'					    { apx1.pde }
DEFINITIONS							
   Lx=pi/2     Ly=pi/2
   f=sin(x*y)     fx=dx(f)     fx_ex=cos(x*y)*y 		{ Exact derivative }
   fxy=dx(dy(f))     fxy_ex=-sin(x*y)*x*y+ cos(x*y)
BOUNDARIES
region 'domain'  start(-Lx,-Ly)
   line to (Lx,-Ly) to (Lx,Ly)  to (-Lx,Ly) to finish
PLOTS
   contour( f)     surface(f)     surface( fx)			
   contour( fx- fx_ex)     surface( fxy)     contour( fxy- fxy_ex)
END

