 TITLE 							                  { sim031.pde }
   'Liquid Rotating as a Disk'
SELECT							{ Student Version }
   spectral_colors
DEFINITIONS                                     		{ SI units }
   r1=1.0     rad=sqrt(x^2+y^2)			{ Radius=square root }
   omega=1.0      						{ Angular velocity }
   vx=-omega*y     vy=omega*x               		{ Velocity components}
   v=vector( vx, vy)					{ Velocity vector }
   vm=sqrt(vx^2+vy^2)                                   	{ Magnitude of v }
   div_v=dx(vx)+ dy(vy)     curl_z=dx(vy)- dy(vx)
BOUNDARIES
region 'domain'  start(r1,0)
   arc to (0,r1) to (-r1,0) to (0,-r1) close  		{ Circular arc }
PLOTS
   contour( vx)     contour( vy)     contour( vm)
   contour( div_v)     contour( curl_z)     vector( v)
END

