TITLE								       { sim063a.pde }
   'Laplace Equation'
SELECT
   spectral_colors     errlim=1e-5          	{ Requested relative accuracy }
VARIABLES
   U							{ Unknown }
DEFINITIONS
   Lx=1     Ly=1     U_ex=x^2- y^2		{ Exact solution }
EQUATIONS
   div( grad( U))=0				{ Laplace PDE }
BOUNDARIES
region 'domain' start(-Lx,-Ly)   point value(U)=U_ex         	
   natural(U)=2*y   line to (Lx,-Ly)     		{ Outward derivatives }
   natural (U)=2*x   line to (Lx,Ly)
   natural (U)=-2*y   line to (-Lx,Ly)
   natural (U)=-2*x   line to finish
PLOTS
   contour( U)     surface( U)     contour( U_ex)     contour( U-U_ex)	
END

