TITLE								         { sim064.pde }
   'Laplace Equation'
SELECT
   spectral_colors     errlim=1e-5          	{ Requested relative accuracy }
VARIABLES
   U							{ Unknown }
DEFINITIONS   									
   r0=1     U_ex=2*x*y						{ Exact solution }
EQUATIONS
   div( grad( U))=0				{ Laplace PDE }
BOUNDARIES
region 'domain'  start(0,0)
   value(U)=U_ex   line to (r0,0)
   value(U)=U_ex   arc(center=0,0) to (0,r0)
   value(U)=U_ex   line to close
PLOTS
   contour( U)     surface( U)     contour( U_ex)     contour( U-U_ex)	
END

