TITLE								         { sim065.pde }
   'Poisson Equation'
SELECT
   errlim=1e-3     spectral_colors               		
VARIABLES
   U						
DEFINITIONS
   Lx=1.0     Ly=1.0     U_ex=(x^3+y^2)+ x*y		{ Exact solution }
EQUATIONS
   div( grad( U))=6*x+2		
BOUNDARIES
region 'domain'  start(-Lx,-Ly)   value(U)=U_ex
   line to (Lx,-Ly)  to (Lx,Ly)   to (-Lx,Ly) close
PLOTS
   contour( U)     surface( U)     contour( U_ex)     contour( U-U_ex)	
END


