TITLE   'Bar with a Temperature Step'				{ exa131.pde }
SELECT     errlim=3e-4     spectral_colors
COORDINATES
   cartesian1						{ 1D }
VARIABLES   temp
DEFINITIONS
   Lx=1.0     Ly=0.1     heat=0     k=82     rcp=7.87e3*449 		{ Iron }
   tempi=300     temp0=400		{ Initial and boundary temperatures }
   fluxd_x=-k*dx(temp)
   temp_ex=(tempi-temp0)*erf( x/(2*sqrt(k*t/rcp)))+temp0   	
INITIAL VALUES   temp=tempi
EQUATIONS
   dx( fluxd_x)+ rcp*dt( temp)=heat
BOUNDARIES
region 'domain'  start (0) point value(temp)=temp0 line to (Lx)
TIME   from 0 to 3000
PLOTS
   for t=100 by 100 to 3000
   elevation( temp, temp_ex) from (0,Ly/2) to (Lx,Ly/2)
END

