TITLE   'Animation of a Plane Wave'			     { sim161aa.pde }
SELECT   stages=200  		
DEFINITIONS
   Lx=1.0     Ly=0.05
   transfer( 'Ezr', Ezr)     transfer( 'Ezi', Ezi)
   wt=(stage-1)/50*2*pi 				{ Omega*t in 50 steps per turn }
   Ez=Ezr*cos(wt)- Ezi*sin(wt)		{ Actual field }
BOUNDARIES
region 'domain'
   start (0,-Ly) line to (Lx,-Ly) to (Lx,Ly) to (0,Ly)  line to close     	
PLOTS
   elevation( Ez) from (0,0) to (Lx,0) fixed range(-1.0,1.0)
END

