TITLE   'Wave in a Cavity, Eigenstates'			  	{ sim172.pde }
SELECT     errlim=1e-4     spectral_colors     modes=12	
VARIABLES   Ezr        				        	
DEFINITIONS                                        	
   Lx=1.0     Ly=0.8     Ezi=0			{ Ezi present in include file }
   eps0=8.85e-12     eps     mu0=4*pi*1e-7   mu=mu0			
   omega=sqrt( lambda/(mu0*eps0))			
#include 'waves_xy.pde'
EQUATIONS				{ p.156?2 for a loss-free medium }
   del2( Ezr)+ lambda*Ezr=0				{ Eigenvalue=lambda }
BOUNDARIES
region 'vacuum'   eps=eps0	
   start 'outer' (0,0) value(Ezr)=0   	
   line to (Lx,0) to (Lx,Ly) to (0,Ly)  line to finish
PLOTS
   contour( Ezr)  report( omega)     vector( Bi) norm	
END

