TITLE   'Harmonic Oscillator in 2D, Mixed States'	         { sim193.pde }
SELECT     stages=200
DEFINITIONS
   r1=10e-10
   transfer( 'psi1_2', psi1_2)     transfer( 'psi1_3', psi1_3)
   v=stage*pi/200     psi=sin(v)*psi1_2+ cos(v)*psi1_3		{ Combined }
BOUNDARIES
region 'domain'
   start(r1,0) arc( center=0,0) angle=360
PLOTS
   contour( psi) zoom(-0.4*r1,-0.4*r1,  0.8*r1,0.8*r1) 
END

